#include <stdio.h>
#include <string.h>
#include <math.h>

int power(int num, int exp)
{
  
  int res = num;
  if (exp == 0)
    return 1;
  
  int i = 1;
  for (i = 1; i < exp; i++)
    {
      res *= num;
    }
  return res;
}


int main () {
 
  int num, exp;
  num = 2;
  exp = 5;
  int i;
  for (i = 0; i <= 20; i++)
    {
      printf("%i\n", power(num, i));
    }
  return 0;
}
